Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.usertx.interfaces
Interface UserTransactionSessionFactory

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  UserTransactionSessionFactoryImpl

public interface UserTransactionSessionFactory
extends java.rmi.Remote

The RMI remote UserTransaction session factory interface.

Version:
  $Revision: 1.1 $
Author:
  Ole Husgaard

Method Summary
`UserTransactionSession` | `newInstance()` Create and return a new session.

Method Detail

### newInstance

    public UserTransactionSession newInstance()
                                       throws java.rmi.RemoteException

  Create and return a new session.
  Returns:
    A user transaction session.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.